﻿@model IEnumerable<FunXgame.Models.Marca>


<table class="table">
    <tr>
        <th>
            <label>Código</label>
        </th>
        <th>
            <label>Nombre</label>
        </th>

        <th>
            <label>Estado</label>
        </th>
        <th>

            <label>Imagen</label>
        </th>
        <th></th>
    </tr>

    @foreach (var item in Model)
    {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.Codigo_marca)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Nombre_marca)
            </td>

            <td>
                @Html.DisplayFor(modelItem => item.Estado.Nombre_estado)
                
            </td>

            <td>

                <img src="@Url.Content(item.Imagen.Ruta) " style="height:80px" />
            </td>


            <td>
                @{
                    string texto = "";
                    string idBtn = item.Id_marca.ToString();
                    int estado = item.Id_estado;
                    if (estado == 1)
                    {
                        texto = "Desactivar";
                    }
                    else
                    {
                        texto = "Activar";
                    }
                }
                <a class="btn btn-success" href="~/Marcas/EditarMarca/@item.Id_marca" id="" style="width:100px">Editar</a>
                <a class="btn btn-secondary" href="~/Marcas/EstadoMarca/@item.Id_marca" id="" style="width:100px">@texto</a>
            </td>
        </tr>
    }

</table>


